Page MenuHomePhabricator

Enable Newsletter extension in office.wikimedia.org (and Structured Discussions in its related Talk namespace)
Closed, ResolvedPublic

Description

Please enable the Newsletter extension in office.wikimedia.org.

Also enable Structured Discussions in its related namespace Newsletter_talk.

This proposal has been discussed at https://office.wikimedia.org/wiki/Topic:Ty03pmhmutiapol9 with some support and no opposition.

For what is worth, the Newsletter extension is currently available in MediaWiki.org.

Event Timeline

Qgil created this task.Sep 19 2017, 7:29 AM
Restricted Application added a project: Collaboration-Team-Triage. · View Herald TranscriptSep 19 2017, 7:29 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
jrbs added a subscriber: jrbs.Sep 19 2017, 4:42 PM

Change 379316 had a related patch set uploaded (by Framawiki; owner: Framawiki):
[operations/mediawiki-config@master] Enable Extension:Newsletter on officewiki

https://gerrit.wikimedia.org/r/379316

Framawiki added a subscriber: Framawiki.

I can't access to officewiki, so I can't consult the above discussion to entrust the request, or proceed with the deployment.
I'll let another volunteer deploy it.

IIRC a maintenance script is needed to be run to finish the activation of StrDisc on a whole namespace?

Thank you very much @Framawiki. Maybe this is a request for Operations.

Peachey88 added subscribers: Reedy, Peachey88.

@Qgil Doesn't need Operations tbh, just needs someone to deploy and run the scripts and that can preferably access officewiki at the same time to check that it went right (Personally I would suggest pinging @Reedy on IRC). Prior history from memory is that we are pretty loose when it comes to consensus for deploying to officewiki anyway.

Qgil added a comment.Sep 22 2017, 8:56 AM

Thank you @Peachey88. This is not an urgent request and I am purposely not pinging anyone personally. On the other hand, the process for office.wiki site requests is pretty loose indeed, as in "I cannot find any information about it" :D so I really welcome your feedback here.

I'll wait and see whether the Phabricator pings work this week. Otherwise I will start annoying busy people personally.

Schedule for October 02 13:00–14:00 UTC

Change 379316 merged by jenkins-bot:
[operations/mediawiki-config@master] Enable Extension:Newsletter on officewiki

https://gerrit.wikimedia.org/r/379316

Mentioned in SAL (#wikimedia-operations) [2017-10-02T14:01:20Z] <zfilipin@tin> Synchronized wmf-config/InitialiseSettings.php: SWAT: [[gerrit:379316|Enable Extension:Newsletter on officewiki (T176199)]] (duration: 00m 46s)

Jayprakash12345 closed this task as Resolved.Oct 2 2017, 2:03 PM
Jayprakash12345 assigned this task to Framawiki.
Jayprakash12345 removed a project: Patch-For-Review.
Qgil reopened this task as Open.Oct 2 2017, 7:53 PM

Sorry, something seems to be wrong. https://office.wikimedia.org/wiki/Special:Newsletters says:

Database error
A database query error has occurred. This may indicate a bug in the software. [WdKYPQpAADkAAInJl8oAAABC] 2017-10-02 19:49:17: Fatal exception of type "Wikimedia\Rdbms\DBQueryError"

Reedy added a comment.Oct 2 2017, 10:54 PM

Did we seriously enable the extension without creating the tables? Jees.

2017-10-02 19:49:17 [WdKYPQpAADkAAInJl8oAAABC] mw1262 officewiki 1.31.0-wmf.1 exception ERROR: [WdKYPQpAADkAAInJl8oAAABC] /wiki/Special:Newsletters   Wikimedia\Rdbms\DBQueryError from line 1166 of /srv/mediawiki/php-1.31.0-wmf.1/includes/libs/rdbms/database/Database.php: A database query error has occurred. Did you forget to run your application's database schema updater after upgrading? 
Query: (SELECT  nl_name,nl_desc,nl_id,nl_subscriber_count,nls_subscriber_id,CONCAT("S",nl_subscriber_count+150000000,"|",nl_name) AS `sort`  FROM `nl_newsletters` INNER JOIN `nl_subscriptions` ON ((nl_id=nls_newsletter_id) AND nls_subscriber_id = '341')   WHERE nl_active = '1'  ORDER BY nl_subscriber_count LIMIT 51  ) UNION ALL (SELECT  nl_name,nl_desc,nl_id,nl_subscriber_count,nls_subscriber_id,CONCAT("U",nl_subscriber_count+150000000,"|",nl_name) AS `sort`  FROM `nl_newsletters` LEFT OUTER JOIN `nl_subscriptions` ON ((nl_id=nls_newsletter_id) AND nls_subscriber_id = '341')   WHERE nl_active = '1' AND nls_subscriber_id IS NULL  ORDER BY nl_subscriber_count LIMIT 51  ) ORDER BY sort ASC LIMIT 51
Function: NewsletterTablePager::reallyDoQuery
Error: 1146 Table 'officewiki.nl_newsletters' doesn't exist (10.64.16.191)
 {"exception_id":"WdKYPQpAADkAAInJl8oAAABC","exception_url":"/wiki/Special:Newsletters","caught_by":"mwe_handler"} 
[Exception Wikimedia\Rdbms\DBQueryError] (/srv/mediawiki/php-1.31.0-wmf.1/includes/libs/rdbms/database/Database.php:1166) A database query error has occurred. Did you forget to run your application's database schema updater after upgrading? 
Query: (SELECT  nl_name,nl_desc,nl_id,nl_subscriber_count,nls_subscriber_id,CONCAT("S",nl_subscriber_count+150000000,"|",nl_name) AS `sort`  FROM `nl_newsletters` INNER JOIN `nl_subscriptions` ON ((nl_id=nls_newsletter_id) AND nls_subscriber_id = '341')   WHERE nl_active = '1'  ORDER BY nl_subscriber_count LIMIT 51  ) UNION ALL (SELECT  nl_name,nl_desc,nl_id,nl_subscriber_count,nls_subscriber_id,CONCAT("U",nl_subscriber_count+150000000,"|",nl_name) AS `sort`  FROM `nl_newsletters` LEFT OUTER JOIN `nl_subscriptions` ON ((nl_id=nls_newsletter_id) AND nls_subscriber_id = '341')   WHERE nl_active = '1' AND nls_subscriber_id IS NULL  ORDER BY nl_subscriber_count LIMIT 51  ) ORDER BY sort ASC LIMIT 51
Function: NewsletterTablePager::reallyDoQuery
Error: 1146 Table 'officewiki.nl_newsletters' doesn't exist (10.64.16.191)

  #0 /srv/mediawiki/php-1.31.0-wmf.1/includes/libs/rdbms/database/Database.php(979): Wikimedia\Rdbms\Database->reportQueryError(string, integer, string, string, boolean)
  #1 /srv/mediawiki/php-1.31.0-wmf.1/extensions/Newsletter/includes/specials/pagers/NewsletterTablePager.php(205): Wikimedia\Rdbms\Database->query(string, string)
  #2 /srv/mediawiki/php-1.31.0-wmf.1/includes/pager/IndexPager.php(225): NewsletterTablePager->reallyDoQuery(string, integer, boolean)
  #3 /srv/mediawiki/php-1.31.0-wmf.1/includes/pager/IndexPager.php(557): IndexPager->doQuery()
  #4 /srv/mediawiki/php-1.31.0-wmf.1/extensions/Newsletter/includes/specials/SpecialNewsletters.php(69): IndexPager->getNumRows()
  #5 /srv/mediawiki/php-1.31.0-wmf.1/includes/specialpage/SpecialPage.php(522): SpecialNewsletters->execute(NULL)
  #6 /srv/mediawiki/php-1.31.0-wmf.1/includes/specialpage/SpecialPageFactory.php(578): SpecialPage->run(NULL)
  #7 /srv/mediawiki/php-1.31.0-wmf.1/includes/MediaWiki.php(287): SpecialPageFactory::executePath(Title, RequestContext)
  #8 /srv/mediawiki/php-1.31.0-wmf.1/includes/MediaWiki.php(851): MediaWiki->performRequest()
  #9 /srv/mediawiki/php-1.31.0-wmf.1/includes/MediaWiki.php(523): MediaWiki->main()
  #10 /srv/mediawiki/php-1.31.0-wmf.1/index.php(43): MediaWiki->run()
  #11 /srv/mediawiki/w/index.php(3): include(string)
  #12 {main}

Mentioned in SAL (#wikimedia-operations) [2017-10-02T22:56:13Z] <Reedy> created newsletter tables on officewiki T176199

Reedy closed this task as Resolved.Oct 3 2017, 12:12 PM